<mat-grid-list cols="1" rowHeight="30em">
  <mat-grid-tile>
    <form (ngSubmit)="onSubmit()">
      <mat-card class="signup-card">
        <mat-card-title i18n="@@signUp">Sign Up</mat-card-title>
        <mat-card-content>
          <mat-form-field class="full-width">
            <input [(ngModel)]="name"
              matInput i18n-placeholder="@@fullName" placeholder="Full Name" name="name" required>
          </mat-form-field>
          <mat-form-field class="full-width">
            <input [(ngModel)]="email"
              matInput i18n-placeholder="@@email" placeholder="Email" name="email" required>
          </mat-form-field>
          <mat-form-field *ngIf="!communicationEnabled" class="full-width">
            <input [(ngModel)]="phone"
              matInput i18n-placeholder="@@mobile" placeholder="Mobile" name="phone" required>
          </mat-form-field>
          <mat-form-field *ngIf="!communicationEnabled" class="full-width">
            <input type="password" [(ngModel)]="password"
              matInput i18n-placeholder="@@password" placeholder="Password" name="password" required>
          </mat-form-field>
        </mat-card-content>
        <mat-card-actions>
          <button type="submit" mat-raised-button color="primary" i18n="@@signUp">Sign Up</button>
        </mat-card-actions>
      </mat-card>
    </form>
  </mat-grid-tile>
</mat-grid-list>
